package com.backendsys.modules.cms.banner.service;

import com.backendsys.modules.cms.banner.entity.Banner;
import com.backendsys.utils.response.PageEntity;

import java.util.Map;

public interface BannerService {

    // 获取幻灯片列表
    PageEntity selectBannerList(Banner banner);
    // 获取幻灯片详情
    Map<String, Object> selectBannerDetail(Banner banner);
    // 创建幻灯片
    Map<String, Object> insertBanner(Banner banner);
    // 编辑幻灯片
    Map<String, Object> updateBanner(Banner banner);
    // 删除幻灯片
    Map<String, Object> deleteBanner(Banner banner);
}
